﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs"
    Inherits="GeoBrowser.Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
	<title>GeoBrowser hybrid page</title>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="Map1_Script" runat="server">
	</asp:ScriptManager>
	<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
		<ContentTemplate>
			<cc1:Map ID="Map1" runat="server" Width="920" Height="600">
			</cc1:Map>
		</ContentTemplate>
		<Triggers>
			<asp:AsyncPostBackTrigger ControlID="CenterButton" EventName="Click" />
			<asp:AsyncPostBackTrigger ControlID="AerialButton" EventName="Click" />
		</Triggers>
	</asp:UpdatePanel>
	<Description:DescriptionPanel ID="DescPanel" runat="server">
		<asp:Button ID="Button1" runat="server" Text="Aerial" OnClick="AerialButton_Click" /><br />
		Click the button to plot a point at the coordinates in the text boxes.
		<br />
		<br />
		<table>
			<tr>
				<td>
					<asp:Label ID="LongitudeLabel" runat="server" Text="Longitude:" Width="80px" Font-Bold="True"
						Font-Size="10pt"></asp:Label>
				</td>
				<td>
					<asp:TextBox ID="LongitudeTextBox" runat="server" ReadOnly="false"
						Font-Size="10px" Font-Names="verdana"></asp:TextBox>
				</td>
			</tr>
			<tr>
				<td>
					<asp:Label ID="LatitudeLabel" runat="server" Text="Latitude:" Width="80px" Font-Bold="True"
						Font-Size="10pt"></asp:Label>
				</td>
				<td>
					<asp:TextBox ID="LatitudeTextBox" runat="server" ReadOnly="false"
						Font-Size="10px" Font-Names="verdana"></asp:TextBox>
				</td>
			</tr>
			<tr>
				<td>
					<br />
					<asp:Button ID="CenterButton" runat="server" Text="Center" OnClick="CenterButton_Click" />
					&nbsp;
					<asp:Button ID="AerialButton" runat="server" Text="Aerial" OnClick="AerialButton_Click" />
				</td>
			</tr>
		</table>
	</Description:DescriptionPanel>
	</form>
</body>
</html>
